org.minidns.record

## Class A

- java.lang.Object
- - org.minidns.record.Data
  - - org.minidns.record.InternetAddressRR<Inet4Address>
    - - org.minidns.record.A

-     public class A
      extends InternetAddressRR<Inet4Address>

  DNS A record payload representing an IPv4 address.
  Maps a domain name to an IPv4 address, the most common DNS record type.

- - ### Field Summary

    - ### Fields inherited from class org.minidns.record.InternetAddressRR

      `ip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `A(byte[] ip)` Create A record from byte array.
    `A(CharSequence ipv4CharSequence)` Create A record from character sequence.
    `A(Inet4Address inet4Address)` Create A record from IPv4 address.
    `A(int q1, int q2, int q3, int q4)` Create A record from four octets.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Record.TYPE` | `getType()` The payload type.
    `static A` | `parse(DataInputStream dis)` Parse A record from data input stream.
    `String` | `toString()`

    - ### Methods inherited from class org.minidns.record.InternetAddressRR

      `from, getInetAddress, getIp, serialize`

    - ### Methods inherited from class org.minidns.record.Data

      `equals, hashCode, length, toByteArray, toOutputStream, toOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### A

          public A(byte[] ip)

      Create A record from byte array.
      Parameters:
        `ip` - byte array containing IPv4 address (must be 4 bytes)

    - #### A

          public A(CharSequence ipv4CharSequence)

      Create A record from character sequence.
      Parameters:
        `ipv4CharSequence` - character sequence containing IPv4 address

    - #### A

          public A(Inet4Address inet4Address)

      Create A record from IPv4 address.
      Parameters:
        `inet4Address` - the IPv4 address

    - #### A

          public A(int q1,
                   int q2,
                   int q3,
                   int q4)

      Create A record from four octets.
      Parameters:
        `q1` - first octet
        `q2` - second octet
        `q3` - third octet
        `q4` - fourth octet

  - ### Method Detail

    - #### getType

          public Record.TYPE getType()

      Description copied from class: `Data`
      The payload type.
      Specified by:
        `getType` in class `Data`
      Returns:
        The payload type.

    - #### parse

          public static A parse(DataInputStream dis)
                         throws IOException

      Parse A record from data input stream.
      Parameters:
        `dis` - data input stream to read from
      Returns:
        parsed A record
      Throws:
        `IOException` - if I/O error occurs

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`